﻿<%@ Page Language="C#" ContentType="text/xml" EnableViewState="False" EnableSessionState="False" Trace="False" Debug="False" %>
<%@ OutputCache Duration="7200" VaryByParam="none" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<script language="C#" runat="server">
void Page_Load(object sender, System.EventArgs e)
{
  SqlConnection connection = new SqlConnection();
  connection.ConnectionString = ConfigurationSettings.AppSettings["connectionString"];
  try
  {
    SqlCommand fillCmd = new SqlCommand ("SELECT TOP 10 id,date,author,title,description FROM dbo.articles ORDER BY date DESC",connection);
    connection.Open();
    rptRss.DataSource = fillCmd.ExecuteReader();
    fillCmd.Dispose();
    rptRss.DataBind();
  }
  finally
  {
    connection.Close();
  }
  connection.Dispose();
}

string FormatForXML(object objData)
{
  string strData = objData.ToString();
  strData = strData.Replace("&", "&amp;");
  strData = strData.Replace("\"", "&quot;");
  strData = strData.Replace("'", "&apos;");
  strData = strData.Replace("<", "&lt;");
  strData = strData.Replace(">", "&gt;");
  return strData;
}
</script>
<asp:Repeater id="rptRss" runat="server">
  <HeaderTemplate>
    <rss version="2.0">
      <channel>
        <title><%# ConfigurationSettings.AppSettings["title"] %></title>
        <link><%# ConfigurationSettings.AppSettings["homeURL"] %></link>
        <description><%# ConfigurationSettings.AppSettings["description"] %></description>
  </HeaderTemplate>
  <ItemTemplate>
        <item>
          <title><%# FormatForXML(DataBinder.Eval(Container.DataItem,"title")) %></title>
          <description>
            <%# FormatForXML(DataBinder.Eval(Container.DataItem, "description")) %>
          </description>
          <link><%# ConfigurationSettings.AppSettings["linkURL"] + DataBinder.Eval(Container.DataItem, "id") %></link>
          <author><%# FormatForXML(DataBinder.Eval(Container.DataItem,"author")) %></author>
          <pubDate><%# String.Format("{0:R}", DataBinder.Eval(Container.DataItem, "date")) %></pubDate>
        </item>
  </ItemTemplate>
  <FooterTemplate>
      </channel>
    </rss>
  </FooterTemplate>
</asp:Repeater>
